UpdateTeamOwner
/api/v1/teams/{team}/owners/{owner}Update a team ownership, such as when it expires.
Example request
Section titled “Example request”curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://us.oblique.security/api/v1/teams/{team}/owners/{owner}?updateMask=owner"Set OBLIQUE_API_KEY to your API key.
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://eu.oblique.security/api/v1/teams/{team}/owners/{owner}?updateMask=owner"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”teamOwner.namestringrequiredAssigned by Oblique. The name of the membership. Memberships are always child API objects of a given team. The
{owner}component is an arbitrary identifier, and doesn’t correspond to the actual member.
Query parameters
Section titled “Query parameters”updateMaskstring (field-mask)The list of fields to update.
allowMissingbooleanIf set to true, and the owner is not found, a new owner will be created with the given name. If created in this way,
update_maskis ignored.
Request body
Section titled “Request body”createTimestring (date-time)read-onlyupdateTimestring (date-time)read-onlymanagementManagementHow this ownership is managed. Inherited from the parent team: owners of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
ownerstringrequiredSet once, when the resource is created. The name of the owner. This can be a user, team, or group.
Format:
users/{user},teams/{team},groups/{group}
Response
Section titled “Response”200TeamOwnernamestringAssigned by Oblique. The name of the membership. Memberships are always child API objects of a given team. The
{owner}component is an arbitrary identifier, and doesn’t correspond to the actual member.createTimestring (date-time)read-onlyupdateTimestring (date-time)read-onlymanagementManagementHow this ownership is managed. Inherited from the parent team: owners of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
ownerstringrequiredSet once, when the resource is created. The name of the owner. This can be a user, team, or group.
Format:
users/{user},teams/{team},groups/{group}
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |